Intermittent dom/indexedDB/test/browser_perwindow_privateBrowsing.js | leaked 2 window(s) until shutdown [url = about:privatebrowsing]

NEW
Assigned to
(NeedInfo from)

Status

()

Core
DOM: IndexedDB
P2
normal
10 months ago
9 days ago

People

(Reporter: Treeherder Bug Filer, Assigned: janv, NeedInfo)

Tracking

({intermittent-failure, leave-open})

unspecified
intermittent-failure, leave-open
Points:
---

Firefox Tracking Flags

(firefox58 disabled, firefox59 disabled)

Details

(Whiteboard: [stockwell disabled])

Assignee: nobody → shuang

Comment 1

10 months ago
5 failures in 939 pushes (0.005 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* try: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32-stylo: 2
* windows7-32: 2
* macosx64-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-08-28&endday=2017-09-03&tree=all

Comment 2

9 months ago
1 failures in 924 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-09-04&endday=2017-09-10&tree=all

Comment 3

9 months ago
2 failures in 885 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 2

Platform breakdown:
* linux64-ccov: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-09-25&endday=2017-10-01&tree=all

Comment 4

8 months ago
1 failures in 824 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* linux64-ccov: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-10-02&endday=2017-10-08&tree=all
In the last 7 days there have been 37 failures. 
Most of the failures occur on the Linux x64 and linux64-stylo-disabled platforms and also there are some that occur on the Linux and linux32-stylo-disabled.
The failures occur only on the debug build.

Here is an example of a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=139734252&lineNumber=6206 

And a relevant snippet of the log:

[task 2017-10-26T04:21:01.278Z] 04:21:01     INFO - GECKO(2045) | nsStringStats
6198
[task 2017-10-26T04:21:01.280Z] 04:21:01     INFO - GECKO(2045) |  => mAllocCount:         172906
6199
[task 2017-10-26T04:21:01.281Z] 04:21:01     INFO - GECKO(2045) |  => mReallocCount:        16417
6200
[task 2017-10-26T04:21:01.282Z] 04:21:01     INFO - GECKO(2045) |  => mFreeCount:          172906
6201
[task 2017-10-26T04:21:01.283Z] 04:21:01     INFO - GECKO(2045) |  => mShareCount:         211872
6202
[task 2017-10-26T04:21:01.284Z] 04:21:01     INFO - GECKO(2045) |  => mAdoptCount:           5459
6203
[task 2017-10-26T04:21:01.284Z] 04:21:01     INFO - GECKO(2045) |  => mAdoptFreeCount:       5459
6204
[task 2017-10-26T04:21:01.285Z] 04:21:01     INFO - GECKO(2045) |  => Process ID: 2045, Thread ID: 140039160452928
6205
[task 2017-10-26T04:21:01.321Z] 04:21:01     INFO - TEST-INFO | Main app process: exit 0
6206
[task 2017-10-26T04:21:01.326Z] 04:21:01    ERROR - TEST-UNEXPECTED-FAIL | dom/indexedDB/test/browser_perwindow_privateBrowsing.js | leaked 2 window(s) until shutdown [url = about:privatebrowsing]
6207
[task 2017-10-26T04:21:01.327Z] 04:21:01     INFO - TEST-INFO | dom/indexedDB/test/browser_perwindow_privateBrowsing.js | windows(s) leaked: [pid = 2098] [serial = 11], [pid = 2098] [serial = 13]
6208
[task 2017-10-26T04:21:01.328Z] 04:21:01     INFO - runtests.py | Application ran for: 0:00:49.144118
6209
[task 2017-10-26T04:21:01.329Z] 04:21:01     INFO - zombiecheck | Reading PID log: /tmp/tmpOYN9_9pidlog
6210
[task 2017-10-26T04:21:01.330Z] 04:21:01     INFO - ==> process 2045 launched child process 2068
6211
[task 2017-10-26T04:21:01.334Z] 04:21:01     INFO - ==> process 2045 launched child process 2098
6212
[task 2017-10-26T04:21:01.339Z] 04:21:01     INFO - ==> process 2045 launched child process 2149
6213
[task 2017-10-26T04:21:01.340Z] 04:21:01     INFO - ==> process 2045 launched child process 2175
6214
[task 2017-10-26T04:21:01.341Z] 04:21:01     INFO - ==> process 2045 launched child process 2188
6215
[task 2017-10-26T04:21:01.342Z] 04:21:01     INFO - ==> process 2045 launched child process 2234
6216
[task 2017-10-26T04:21:01.342Z] 04:21:01     INFO - zombiecheck | Checking for orphan process with PID: 2068
6217
[task 2017-10-26T04:21:01.343Z] 04:21:01     INFO - zombiecheck | Checking for orphan process with PID: 2098
6218
[task 2017-10-26T04:21:01.344Z] 04:21:01     INFO - zombiecheck | Checking for orphan process with PID: 2149
6219
[task 2017-10-26T04:21:01.345Z] 04:21:01     INFO - zombiecheck | Checking for orphan process with PID: 2175
6220
[task 2017-10-26T04:21:01.346Z] 04:21:01     INFO - zombiecheck | Checking for orphan process with PID: 2188
6221
[task 2017-10-26T04:21:01.347Z] 04:21:01     INFO - zombiecheck | Checking for orphan process with PID: 2234
6222
[task 2017-10-26T04:21:01.348Z] 04:21:01     INFO - Stopping web server
6223
[task 2017-10-26T04:21:01.368Z] 04:21:01     INFO - Stopping web socket server
6224
[task 2017-10-26T04:21:01.384Z] 04:21:01     INFO - Stopping ssltunnel


	
:hsinyi, could you please take a look?
Flags: needinfo?(htsai)
Whiteboard: [stockwell needswork]

Comment 6

8 months ago
40 failures in 912 pushes (0.044 failures/push) were associated with this bug in the last 7 days. 

This is the #41 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-inbound: 16
* autoland: 16
* mozilla-central: 6
* try: 2

Platform breakdown:
* linux64-stylo-disabled: 14
* linux64: 14
* linux32: 7
* linux32-stylo-disabled: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-10-23&endday=2017-10-29&tree=all
Priority: P5 → --
Whiteboard: [stockwell needswork] → [stockwell needswork:owner]
Flags: needinfo?(htsai)
Hi Bevis,
Are you aware of any window leaking issue recently on Indexeddb?

Meanwhile, I may also check see if I can reproduce it locally.
Flags: needinfo?(btseng)
Unfotunately, no. :(
Flags: needinfo?(btseng)

Comment 9

8 months ago
72 failures in 857 pushes (0.084 failures/push) were associated with this bug in the last 7 days. 

This is the #22 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 34
* mozilla-inbound: 22
* try: 8
* mozilla-central: 7
* mozilla-beta: 1

Platform breakdown:
* linux64: 30
* linux64-stylo-disabled: 28
* linux32: 8
* linux32-stylo-disabled: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-10-30&endday=2017-11-05&tree=all

Updated

8 months ago
Priority: -- → P2
In the last 7 days, there have been 55 failures.

:shawnjohnjr Did you have the chance to take a look at this and try to repro it locally?
Flags: needinfo?(shuang)
I did and I also give "--verify" argument on Linux x64 machine locally, but no luck.
I'm looking into window (about:privatebrowsing), since the leaking window url "about:privatebrowsing".
Maybe bug 1344515 is also related.
(In reply to Shawn Huang [:shawnjohnjr] from comment #14)
> I still don't have any idea. So add more logs.
> 
> https://treeherder.mozilla.org/#/
> jobs?repo=try&revision=e09bd87c9e322edd5ab123efe1e9ae134af6f639

I'm not sure why that info log doesn't show up. I guess info log by default was removed.

Try again.
https://treeherder.mozilla.org/#/jobs?repo=try&revision=f64bac86b4bac746dbc28455dade47a0da06ee57

Comment 16

7 months ago
61 failures in 849 pushes (0.072 failures/push) were associated with this bug in the last 7 days. 

This is the #27 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 25
* mozilla-inbound: 22
* mozilla-central: 8
* try: 5
* mozilla-beta: 1

Platform breakdown:
* linux64-stylo-disabled: 27
* linux64: 20
* linux32-stylo-disabled: 9
* linux32: 4
* macosx64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-11-06&endday=2017-11-12&tree=all
I still can't reproduce locally. And I suspect that this is timing issue bewteen shutdown leak and dom window destruction because the problem happens after ShutdownLeaks collection completion.

I reviewed the log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=142308374&lineNumber=5634


[task 2017-11-06T01:40:01.188Z] 01:40:01     INFO - GECKO(2322) | Completed ShutdownLeaks collections in process 2371
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
DOM window deconstructor called after ShutdownLeaks collections in process 2371 completed.

[task 2017-11-06T01:40:01.191Z] 01:40:01     INFO - GECKO(2322) | --DOMWINDOW == 1 (0xe0b8d800) [pid = 2371] [serial = 11] [outer = (nil)] [url = about:privatebrowsing]
[task 2017-11-06T01:40:05.083Z] 01:40:05     INFO - GECKO(2322) | --DOMWINDOW == 0 (0xe25b4400) [pid = 2371] [serial = 13] [outer = (nil)] [url = about:privatebrowsing]


Then I saw leak reports.

[task 2017-11-06T01:40:10.754Z] 01:40:10    ERROR - TEST-UNEXPECTED-FAIL | dom/indexedDB/test/browser_perwindow_privateBrowsing.js | leaked 2 window(s) until shutdown [url = about:privatebrowsing]
[task 2017-11-06T01:40:10.756Z] 01:40:10     INFO - TEST-INFO | dom/indexedDB/test/browser_perwindow_privateBrowsing.js | windows(s) leaked: [pid = 2371] [serial = 11], [pid = 2371] [serial = 13]

Since I already added "win = null" at the end in browser_perwindow_privateBrowsing.js test case, I don't know what else I can do to force destruction before ShutdownLeaks collection completed.

Andrew, do you have any suggestion?
Flags: needinfo?(shuang) → needinfo?(continuation)
Ideally you'd get a CC log from the shutdown collections CCs and figure out why that window is still alive. I'm not sure how easy that is going to be if you can't reproduce it in isolation.
Flags: needinfo?(continuation)
Probably not related, but could you try to replace both `gBrowser.removeCurrentTab` [1] with `await BrowserTestUtils.removeTab` [2] to explicity wait until the tab gets closed?

[1] https://searchfox.org/mozilla-central/rev/a662f122c37704456457a526af90db4e3c0fd10e/dom/indexedDB/test/browser_perwindow_privateBrowsing.js#21,32
[2] https://searchfox.org/mozilla-central/rev/a662f122c37704456457a526af90db4e3c0fd10e/testing/mochitest/BrowserTestUtils/BrowserTestUtils.jsm#973

Alternatively, you can use `BrowserTestUtils.withNewTab` in both test cases which automatically adds a tab before calling `taskFn` and closes the tab after it finishes. It accepts different tabbrowser as a parameter, so for test2 you can pass win.gBrowser into it.

https://searchfox.org/mozilla-central/source/testing/mochitest/BrowserTestUtils/BrowserTestUtils.jsm#95

Comment 20

7 months ago
11 failures in 166 pushes (0.066 failures/push) were associated with this bug yesterday.    

** This test has failed more than 200 times in the last 30 days. It should be disabled until it can be fixed. ** 

Repository breakdown:
* mozilla-inbound: 4
* autoland: 4
* try: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 5
* linux64-stylo-disabled: 4
* linux32-stylo-disabled: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-11-15&endday=2017-11-15&tree=all
Whiteboard: [stockwell needswork:owner] → [stockwell disable-recommended]

Comment 21

7 months ago
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/ee147ca3314d
Disable test browser_perwindow_privateBrowsing.js on linux/debug for frequent intermittent leaks; r=me,test-only
(In reply to OrangeFactor Robot from comment #20)
> ** This test has failed more than 200 times in the last 30 days. It should
> be disabled until it can be fixed. ** 

Thanks for all the efforts here. Hope this test can be re-enabled soon.
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
https://hg.mozilla.org/releases/mozilla-beta/rev/05c2e92032a4
status-firefox58: --- → disabled
status-firefox59: --- → disabled

Comment 25

7 months ago
45 failures in 762 pushes (0.059 failures/push) were associated with this bug in the last 7 days. 

This is the #23 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 27
* mozilla-inbound: 6
* try: 5
* mozilla-central: 5
* mozilla-beta: 2

Platform breakdown:
* linux64-stylo-disabled: 20
* linux64: 10
* linux32-stylo-disabled: 8
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-11-13&endday=2017-11-19&tree=all
(In reply to Samael Wang [:freesamael] from comment #19)
> Probably not related, but could you try to replace both
> `gBrowser.removeCurrentTab` [1] with `await BrowserTestUtils.removeTab` [2]
> to explicity wait until the tab gets closed?
> 
> [1]
> https://searchfox.org/mozilla-central/rev/
> a662f122c37704456457a526af90db4e3c0fd10e/dom/indexedDB/test/
> browser_perwindow_privateBrowsing.js#21,32
> [2]
> https://searchfox.org/mozilla-central/rev/
> a662f122c37704456457a526af90db4e3c0fd10e/testing/mochitest/BrowserTestUtils/
> BrowserTestUtils.jsm#973
> 
> Alternatively, you can use `BrowserTestUtils.withNewTab` in both test cases
> which automatically adds a tab before calling `taskFn` and closes the tab
> after it finishes. It accepts different tabbrowser as a parameter, so for
> test2 you can pass win.gBrowser into it.
> 
> https://searchfox.org/mozilla-central/source/testing/mochitest/
> BrowserTestUtils/BrowserTestUtils.jsm#95

Awesome! Thanks for the suggestion. I need to test a longer for sure it won't happen again.

Comment 29

7 months ago
1 failures in 792 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-11-27&endday=2017-12-03&tree=all

Comment 30

6 months ago
3 failures in 889 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 2
* mozilla-inbound: 1

Platform breakdown:
* windows10-64-ccov: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-12-04&endday=2017-12-10&tree=all

Comment 31

6 months ago
1 failures in 590 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows10-64-ccov: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-12-18&endday=2017-12-24&tree=all

Comment 32

6 months ago
3 failures in 147 pushes (0.02 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 3

Platform breakdown:
* windows10-64-ccov: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2017-12-25&endday=2017-12-31&tree=all

Comment 33

5 months ago
6 failures in 462 pushes (0.013 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 5
* autoland: 1

Platform breakdown:
* windows10-64-ccov: 5
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2018-01-01&endday=2018-01-07&tree=all

Comment 34

5 months ago
6 failures in 788 pushes (0.008 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 3
* autoland: 2
* try: 1

Platform breakdown:
* windows7-32: 3
* windows10-64-ccov: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2018-01-08&endday=2018-01-14&tree=all
Assignee: shuang → nobody

Comment 35

5 months ago
2 failures in 657 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 2

Platform breakdown:
* windows10-64-ccov: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2018-01-15&endday=2018-01-21&tree=all

Updated

5 months ago
Assignee: nobody → jvarga

Comment 36

5 months ago
Janv, want to take a look?
Flags: needinfo?(jvarga)

Comment 37

5 months ago
2 failures in 701 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 2

Platform breakdown:
* windows10-64-ccov: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2018-01-22&endday=2018-01-28&tree=all

Comment 38

5 months ago
1 failures in 735 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows10-64-ccov: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2018-01-29&endday=2018-02-04&tree=all

Comment 39

4 months ago
2 failures in 831 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2018-02-26&endday=2018-03-04&tree=all

Comment 40

3 months ago
5 failures in 747 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 3
* try: 1
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2018-03-05&endday=2018-03-11&tree=all

Comment 41

3 months ago
5 failures in 814 pushes (0.006 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 2
* mozilla-inbound: 1
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1394671&startday=2018-03-12&endday=2018-03-18&tree=all

Comment 42

3 months ago
21 failures in 822 pushes (0.026 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 12
* mozilla-inbound: 9

Platform breakdown:
* osx-10-10: 20
* windows7-32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1394671&startday=2018-03-20&endday=2018-03-26&tree=trunk

Comment 43

3 months ago
16 failures in 718 pushes (0.022 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 10
* autoland: 6

Platform breakdown:
* osx-10-10: 16

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1394671&startday=2018-03-26&endday=2018-04-01&tree=trunk

Comment 44

2 months ago
10 failures in 765 pushes (0.013 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 7
* mozilla-inbound: 2
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 10

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1394671&startday=2018-04-02&endday=2018-04-08&tree=trunk

Comment 45

2 months ago
10 failures in 792 pushes (0.013 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 6
* mozilla-inbound: 3
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 10

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1394671&startday=2018-04-09&endday=2018-04-15&tree=trunk

Comment 46

2 months ago
20 failures in 782 pushes (0.026 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 10
* mozilla-inbound: 9
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 20

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1394671&startday=2018-04-16&endday=2018-04-22&tree=trunk

Comment 47

2 months ago
2 failures in 780 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1394671&startday=2018-04-23&endday=2018-04-29&tree=trunk

Comment 48

a month ago
1 failures in 551 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr60: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1394671&startday=2018-04-30&endday=2018-05-06&tree=trunk
1 failures in 669 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr60: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1394671&startday=2018-06-04&endday=2018-06-10&tree=trunk
You need to log in before you can comment on or make changes to this bug.